Name:          krati
Version:       0.3.6
Release:       %mkrel 1
Summary:       A hash-based high-performance data store
Group:         Development/Java
License:       ASL 2.0
Url:           http://sna-projects.com/krati/
Source0:       https://github.com/downloads/jingwei/krati/krati-0.3.6.zip

BuildRequires: java-devel
BuildRequires: jpackage-utils

#BuildRequires: ant
#BuildRequires: ivy

BuildRequires: liblog4j-java

# testing
BuildRequires: je4
BuildRequires: junit4
BuildRequires: protobuf-java

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-surefire-plugin

Requires:      liblog4j-java

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Krati is a simple persistent data store with very low latency and high throughput. It
is designed for easy integration with read-write-intensive applications
with little effort in tuning configuration, performance and JVM garbage collection

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

sed -i 's/\r//' LICENSE

%build

mvn-rpmbuild -e -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr  target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Nov 02 2011 gil <gil> 0.3.6-1.mga2
+ Revision: 161822
- imported package krati

